<?xml version="1.0" encoding="utf-8"?>
<FlexViewDescription>

	<Objects>
		<Column id="Label" fitting="content">
			<Attributes horizontalAlignment="right" font="RegularSystemFont" />
		</Column>
		<Column id="Space" minWidth="10" fitting="content" />
		<Column id="Content" fitting="maximum">
			<Attributes horizontalAlignment="left" />
		</Column>
		
		<Column id="SubCheckBoxSpaceColumn" minWidth="20" fitting="content" >
			<Attributes horizontalAlignment="left" />
		</Column>
		<Column id="SubCheckBoxContentColumn" fitting="maximum" >
			<Attributes horizontalAlignment="left" />
		</Column>

		<Column id="SubCheckBoxExplanationSpaceColumn" minWidth="21" fitting="content" >
			<Attributes horizontalAlignment="left" />
		</Column>
		<Column id="SubCheckBoxExplanationContentColumn" fitting="maximum" >
			<Attributes horizontalAlignment="left" />
		</Column>

		<Column id="PasswordLabel" fitting="content" >
			<Attributes horizontalAlignment="right" />
		</Column>
		<Column id="PasswordField" fitting="content" >
			<Attributes horizontalAlignment="left" />
		</Column>
		<Column id="ConfirmPasswordField" fitting="content" >
			<Attributes horizontalAlignment="left" />
		</Column>
		<Column id="PasswordFieldError" fitting="content" >
			<Attributes horizontalAlignment="left" />
		</Column>
		<Column id="ConfirmPasswordFieldError" fitting="content" >
			<Attributes horizontalAlignment="left" />
		</Column>

		<Column id="SubContentColumn" fitting="content" >
			<Attributes horizontalAlignment="left" />
		</Column>

		<CocoaAttributes id="stripe" padding="25,10,25,10" backgroundColor="stripeBackground" />
		<CocoaAttributes id="innerBlock" padding="0,8,0,0,0"/>
		<CocoaAttributes id="checkBoxBlock" padding="0,4,0,0,0"/>
		<CocoaAttributes id="afterExplanationGap" padding="0,15,0,0,0"/>
		<CocoaAttributes id="passwordBlock" padding="20,4,0,0,0"/>
		<CocoaAttributes id="lastStripe" backgroundColor="stripeBackground" />

	</Objects>

	<RootContainer>

		<Attributes font="RegularSystemFont" />

		<RowContainer id="exportPSKSettings" cocoaAttributes="stripe" equalSpacing="0">
			<ColumnContainer columns="Replicator,Label,Space,Content">
				<TextField label="Pre-Shared Key" columnId="Label">
					<Attributes font="RegularSystemFont" />
				</TextField>
				<RowContainer columnId="Content">
					<CheckBox label="Include pre-shared key from keychain" id="exportIncludePSK" />
					<ColumnContainer columns="SubCheckBoxExplanationSpaceColumn, SubCheckBoxExplanationContentColumn" id="exportIncludePSKExplanation1">
						<TextField label="The included pre-shared key will be added to the user's keychain." columnId="SubCheckBoxExplanationContentColumn">
							<Attributes textColor="subExplanation" />
							<Attributes font="SmallSystemFont" />
						</TextField>
					</ColumnContainer>
					<ColumnContainer columns="SubCheckBoxExplanationSpaceColumn, SubCheckBoxExplanationContentColumn" id="exportIncludePSKExplanation2">
						<TextField label="The included pre-shared key will be stored in the connection." columnId="SubCheckBoxExplanationContentColumn">
							<Attributes textColor="subExplanation" />
							<Attributes font="SmallSystemFont" />
						</TextField>
					</ColumnContainer>
				</RowContainer>
			</ColumnContainer>
			<ColumnContainer cocoaAttributes="afterExplanationGap" />
			<ColumnContainer columns="Replicator,Label,Space,Content">
				<RowContainer columnId="Content">
					<CheckBox label="Permit pre-shared keys to be stored in and loaded from the keychain" id="exportAddToKeychain" />
					<ColumnContainer columns="SubCheckBoxExplanationSpaceColumn, SubCheckBoxExplanationContentColumn"  id="exportAddToKeychainExplanation">
						<TextField label="Users of this connection will be prompted for the pre-shared key each time they connect." columnId="SubCheckBoxExplanationContentColumn">
							<Attributes textColor="subExplanation" />
							<Attributes font="SmallSystemFont" />
						</TextField>
					</ColumnContainer>
				</RowContainer>
			</ColumnContainer>
		</RowContainer>

		<RowContainer id="exportXAUTHSettings" cocoaAttributes="stripe" equalSpacing="0">
			<ColumnContainer columns="Replicator,Label,Space,Content">
				<TextField label="Extended Authentication (XAUTH)" columnId="Label">
					<Attributes font="RegularSystemFont" />
				</TextField>
				<RowContainer columnId="Content">
					<ColumnContainer>
						<CheckBox label="Include XAUTH login and password" id="exportIncludeXAUTH" />
						<PopUpButton id="exportIncludeXAUTHOption" tagValue="current">
							<label tag="keychain">keychain</label>
							<label tag="ask">ask</label>
						</PopUpButton>
					</ColumnContainer>
					<ColumnContainer columns="SubCheckBoxExplanationSpaceColumn, SubCheckBoxExplanationContentColumn" id="exportIncludeXAUTHExplanation1">
						<TextField label="The included XAUTH credentials will be added to the user's keychain" columnId="SubCheckBoxExplanationContentColumn">
							<Attributes textColor="subExplanation" />
							<Attributes font="SmallSystemFont" />
						</TextField>
					</ColumnContainer>
					<ColumnContainer columns="SubCheckBoxExplanationSpaceColumn, SubCheckBoxExplanationContentColumn" id="exportIncludeXAUTHExplanation2">
						<TextField label="The included XAUTH credentials will be stored in the connection." columnId="SubCheckBoxExplanationContentColumn">
							<Attributes textColor="subExplanation" />
							<Attributes font="SmallSystemFont" />
						</TextField>
					</ColumnContainer>
				</RowContainer>
			</ColumnContainer>
			<ColumnContainer columns="Replicator,Label,Space,Content">
				<RowContainer columnId="Content">
					<CheckBox label="Permit XAUTH credentials to be stored in and loaded from the keychain" id="exportAddXAUTHToKeychain" />
					<ColumnContainer columns="SubCheckBoxExplanationSpaceColumn, SubCheckBoxExplanationContentColumn"  id="exportAddXAUTHToKeychainExplanation">
						<TextField label="Users of this connection will be prompted for their XAUTH credentials each time they connect." columnId="SubCheckBoxExplanationContentColumn">
							<Attributes textColor="subExplanation" />
							<Attributes font="SmallSystemFont" />
						</TextField>
					</ColumnContainer>
				</RowContainer>
			</ColumnContainer>
		</RowContainer>

		<RowContainer id="connectionSyncSettings" cocoaAttributes="stripe" equalSpacing="0">
			<ColumnContainer columns="Replicator,Label,Space,Content">
				<TextField label="Connection Safe Usage" columnId="Label">
					<Attributes font="RegularSystemFont" />
				</TextField>
				<RowContainer columnId="Content">
					<PopUpButton id="exportAllowConnectionSync" tagValue="current">
						<label tag="autoimport">Allowed and added on import</label>
						<label tag="yes">Allowed</label>
						<label tag="no">Forbidden</label>
					</PopUpButton>
				</RowContainer>
			</ColumnContainer>
		</RowContainer>

		<RowContainer id="exportSecuritySettings" cocoaAttributes="stripe" equalSpacing="0">
			<RowContainer id="teamLockSettings" equalSpacing="0">
				<ColumnContainer columns="Replicator,Label,Space,Content">
					<TextField label="Security" columnId="Label" >
						<Attributes font="RegularSystemFont" />
					</TextField>
					<CheckBox label="Remote Connection Wipe" id="exportUseMembershipLock" columnId="Content" />
				</ColumnContainer>

				<ColumnContainer columns="Replicator,Label,Space,Content" >
					<ColumnContainer columns="SubCheckBoxExplanationSpaceColumn, SubCheckBoxExplanationContentColumn" columnId="Content">
						<TextField label="Restrict this connection to your team members and enable Remote Connection Wipe" columnId="SubCheckBoxExplanationContentColumn">
							<Attributes textColor="subExplanation" />
							<Attributes font="SmallSystemFont" />
						</TextField>
					</ColumnContainer>
				</ColumnContainer>

				<ColumnContainer columns="Replicator,Label,Space,Content" cocoaAttributes="innerBlock">
					<ColumnContainer columns="SubCheckBoxSpaceColumn,TeamLockingColumn,PostTeamLockingSpace" columnId="Content">
						<TableView id="exportLockToMemberships" value="5" columnId="TeamLockingColumn" >
							<!--
							<label tag="team1">Team A</label>
							<label tag="team2">Team B</label>
							<label tag="team3">Team C</label>
							-->
						</TableView>
					</ColumnContainer>
				</ColumnContainer>

				<ColumnContainer columns="Replicator,Label,Space,Content">
					<ColumnContainer columns="SubCheckBoxSpaceColumn,TeamLockingColumn,PostTeamLockingSpace" columnId="Content">
							<TextField id="exportLockToMembershipsLastUpdate" label="Updating team list..." columnId="TeamLockingColumn">
								<Attributes textColor="subExplanation" horizontalAlignment="right" />
								<Attributes font="SmallSystemFont" />
							</TextField>
							<Attributes horizontalAlignment="right" />
					</ColumnContainer>
				</ColumnContainer>
			</RowContainer>

			<ColumnContainer id="otherSecuritySettingsSpacing" minHeight="8" />

			<ColumnContainer id="otherSecuritySettings" columns="Replicator,Label,Space,Content" >
				<TextField id="securityLabel2" label="Security" columnId="Label" hidden="yes" >
					<Attributes font="RegularSystemFont" />
				</TextField>
				<CheckBox label="Don't allow settings to be changed" id="exportLockConnection" columnId="Content" />
			</ColumnContainer>
			<ColumnContainer columns="Replicator,Label,Space,Content">
				<RowContainer columnId="Content">
					<ColumnContainer columns="SubCheckBoxSpaceColumn, SubCheckBoxContentColumn" cocoaAttributes="checkBoxBlock">
						<CheckBox label="Hide settings and logs" id="exportHideSettings" columnId="SubCheckBoxContentColumn" />
					</ColumnContainer>

					<ColumnContainer columns="SubCheckBoxSpaceColumn, SubCheckBoxContentColumn" cocoaAttributes="checkBoxBlock">
						<RowContainer columnId="SubCheckBoxContentColumn">
							<CheckBox label="Temporarily permit editing with unlock password" id="exportUseUnlockPassword" columnId="SubCheckBoxContentColumn" />

							<RowContainer columnId="SubCheckBoxContentColumn" cocoaAttributes="passwordBlock">
								<ColumnContainer columns="PasswordLabel,PasswordField,PasswordFieldError">
									<TextField label="Unlock password" columnId="PasswordLabel" />
									<SecureTextView value="" label="        " id="exportUnlockPassword" fieldEditor="1" viewModeGray="1" columnId="PasswordField" />
									<ImageView minWidth="14" minHeight="14" id="unlockPasswordErrorImage" columnId="PasswordFieldError" editable="false" />
								</ColumnContainer>
								<ColumnContainer columns="PasswordLabel,ConfirmPasswordField,ConfirmPasswordFieldError">
									<TextField label="Confirm unlock password" columnId="PasswordLabel" />
									<SecureTextView value="" label="        " id="exportConfirmUnlockPassword" fieldEditor="1" viewModeGray="1" columnId="ConfirmPasswordField" />
									<ImageView minWidth="14" minHeight="14" id="unlockPasswordConfirmErrorImage" columnId="ConfirmPasswordFieldError" editable="false" />
								</ColumnContainer>
							</RowContainer>
						</RowContainer>
					</ColumnContainer>
				</RowContainer>
			</ColumnContainer>
		</RowContainer>

		<RowContainer id="exportLaunchPadSettings" cocoaAttributes="stripe" equalSpacing="0">
			<ColumnContainer columns="Replicator, Label, Space, Content">
				<TextField label="Launch Pad" columnId="Label">
					<Attributes font="RegularSystemFont" />
				</TextField>
				<TableView id="exportLaunchPads" columnId="Content" value="5" >
					<!--
					<label tag="lp1">Office</label>
					<label tag="lp2">Home</label>
					<label tag="lp3">Customer</label>
					-->
				</TableView>
			</ColumnContainer>
		</RowContainer>

		<RowContainer id="exportActionsSettings" cocoaAttributes="stripe" equalSpacing="0">
			<ColumnContainer columns="Replicator,Label,Space,Content">
				<TextField label="Actions" columnId="Label">
					<Attributes font="RegularSystemFont" />
				</TextField>
				<CheckBox label="Include actions" columnId="Content" id="exportIncludeActions" />
			</ColumnContainer>
		</RowContainer>

		<RowContainer id="exportContactSettings" cocoaAttributes="stripe" equalSpacing="0">
			<ColumnContainer columns="Replicator,Label,Space,Content">
				<TextField label="Contact Info" columnId="Label">
					<Attributes font="RegularSystemFont" />
				</TextField>
				<RowContainer columnId="Content">
					<TextView value="" label="helpdesk@example.com" id="exportAdminEmail" fieldEditor="1" viewModeGray="1"/>
					<TextField label="This email address is the default recipient for Technical Support Reports">
						<Attributes textColor="subExplanation" />
						<Attributes font="SmallSystemFont" />
					</TextField>
				</RowContainer>
			</ColumnContainer>
		</RowContainer>
	
		<RowContainer id="fillEmptySpace" cocoaAttributes="lastStripe">
		</RowContainer>

	</RootContainer>

</FlexViewDescription>
